Receipts
You can list your available receipts with the following URL:
GET https://api.smallinvoice.com/receipt/list/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| limit | int | no | 0 | Limit the amount of results | |
| page | int | no | 1 | When limiting the results, specifies page | |
| sort | string | no | date | date due number | Sorts the list by the available values |
| sorttype | string | no | desc | asc desc | Defines the way of sorting |
Example: Making a request with 100 Results, getting second page, and sorting by date ascending
GET https://api.smallinvoice.com/receipt/list/limit/100/page/2/sort/date/sorttype/asc/
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
| page | int | Current page that was passed in on the request |
| pages | int | Total number of pages available |
| count | int | Total number of objects available |
| items | collection | Collection of receipt Objects |
Example content of data variable:
{
"error":false,
"page":1,
"pages":1,
"count":1,
"items":[
{
"id":3,
"number":10000,
"client_id":16,
"client_name":"John Doe",
"client_address_id":11,
"client_contact_id":0,
"currency":"CHF",
"title":"Lieferschein Nr. {10} \/ Kunden Nr. {2}",
"date":"2013-02-25",
"conditions":"",
"introduction":"",
"language":"de",
"vat_included":0,
"totalamount":0,
"status":7,
"pages":1,
"positions":[
{
"type":1,
"number":null,
"name":"Position X",
"description":"Repairing car",
"cost":0,
"unit":1,
"amount":1,
"vat":8,
"discount":null
},
{
"type":2,
"number":null,
"name":"Position Y",
"description":"Cleaning house",
"cost":0,
"unit":7,
"amount":1,
"vat":8,
"discount":null
}
]
}
]
}
You can get your receipt with the following URL:
GET https://api.smallinvoice.com/receipt/get/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the receipt |
Example: Making a request for receipt with id 5
GET https://api.smallinvoice.com/receipt/get/id/5
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
| item | object | Object of receipt |
Example content of data variable:
{
"error":false,
"item":{
"id":3,
"number":10000,
"client_id":16,
"client_name":"John Doe",
"client_address_id":11,
"client_contact_id":0,
"currency":"CHF",
"title":"Lieferschein Nr. {LIEFERSCHEINNR} \/ Kunden Nr. {KUNDENNR}",
"date":"2013-02-25",
"conditions":"",
"introduction":"",
"language":"de",
"vat_included":0,
"totalamount":0,
"status":7,
"pages":1,
"positions":[
{
"type":1,
"number":null,
"name":"Position X",
"description":"Repairing car",
"cost":0,
"unit":1,
"amount":1,
"vat":8,
"discount":null
},
{
"type":2,
"number":null,
"name":"Position Y",
"description":"Cleaning house",
"cost":0,
"unit":7,
"amount":1,
"vat":8,
"discount":null
}
]
}
}
You can get your receipt as pdf with the following URL:
GET https://api.smallinvoice.com/receipt/pdf/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the receipt |
Example: Making a request for receipt with id 5
GET https://api.smallinvoice.com/receipt/pdf/id/5
Response
| Name | Type | Notes |
|---|---|---|
| HTTP Body | application/pdf | The PDF in raw format |
You can get a receipt preview in PNG form for each page of a document with the following URL:
GET https://api.smallinvoice.com/receipt/preview/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the receipt | ||
| page | int | no | 1 | The page you want to retreive | |
| size | int | no | 595 | 240 595 600 972 1240 | The size in pixels |
Example: Getting second page in size 1240 for receipt with id 5
GET https://api.smallinvoice.com/receipt/preview/id/5/page/2/size/1240
Response
| Name | Type | Notes |
|---|---|---|
| HTTP Body | image/png | The image in raw format |
You can add a new receipt with the following URL:
POST https://api.smallinvoice.com/receipt/add
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| number | string | no | next higher number | Your receipt number |
| client_id | int | yes | Client's id | |
| client_address_id | int | yes | Client's address id | |
| client_contact_id | int | no | 0 | Client's contact id |
| currency | string | yes | Three-letter currency code | |
| title | string | no | Title of the receipt | |
| date | date | yes | Date of receipt | |
| introduction | string | no | Introduction text printed above positions | |
| conditions | string | no | Text printed below positions | |
| language | string | yes | Two-letter language code | |
| vat_included | int | no | 0 | If VAT is included in positions' prices |
| positions | collection | yes | Collection of Position Objects |
Example: Creating a new receipt
POST https://api.smallinvoice.com/receipt/add/
Example content of data variable:
{
"number":10000,
"client_id":16,
"client_name":"John Doe",
"client_address_id":11,
"client_contact_id":0,
"currency":"CHF",
"title":"Lieferschein Nr. {LIEFERSCHEINNR} \/ Kunden Nr. {KUNDENNR}",
"date":"2013-02-25",
"conditions":"",
"introduction":"",
"language":"de",
"vat_included":0,
"positions":[
{
"type":2,
"number":null,
"name":"Product X",
"description":"Repairing car",
"cost":0,
"unit":1,
"amount":1,
"vat":8,
"discount":null
},
{
"type":1,
"number":null,
"name":"Service Y",
"description":"Cleaning house",
"cost":0,
"unit":7,
"amount":1,
"vat":8,
"discount":null
}
]
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
| id | int | The Id of the receipt Object that was created |
Example response:
{
"error":false,
"id": 43
}
You can edit an receipt with the following URL:
POST https://api.smallinvoice.com/receipt/edit
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the receipt |
Body parameters
| Name | Type | Notes |
|---|---|---|
| number | string | Your receipt number |
| client_id | int | Client's id |
| client_address_id | int | Client's address id |
| client_contact_id | int | Client's contact id |
| currency | string | Three-letter currency code |
| title | string | Title of the receipt |
| date | date | Date of receipt |
| introduction | string | Introduction text printed above positions |
| conditions | string | Text printed below positions |
| language | string | Two-letter language code |
| vat_included | int | If VAT is included in positions' prices |
| positions | collection | Collection of Position Objects |
Example: Editing an receipt with id 5
POST https://api.smallinvoice.com/receipt/edit/id/5
Example content of data variable:
{
"number":10000,
"client_id":16,
"client_name":"John Doe",
"client_address_id":11,
"client_contact_id":0,
"currency":"CHF",
"title":"Lieferschein Nr. {LIEFERSCHEINNR} \/ Kunden Nr. {KUNDENNR}",
"date":"2013-02-25",
"conditions":"",
"introduction":"",
"language":"de",
"vat_included":0,
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can delete an receipt with the following URL:
POST https://api.smallinvoice.com/receipt/delete/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the receipt |
Example: Making a request for deleting receipt with id 5
POST https://api.smallinvoice.com/receipt/delete/id/5
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can email your receipt with the following URL:
POST https://api.smallinvoice.com/receipt/email
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the receipt |
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| subject | string | Yes | Subject of email | |
| body | string | Yes | Content of the email | |
| afterstatus | int | No | The status the document should take after sending | |
| recipients | collection | Yes | List of recipients. See example |
Example: Sending an receipt with id 5 via email
POST https://api.smallinvoice.com/receipt/email/id/5
Example content of data variable
{
"subject" : "Email subject",
"body" : "Email body",
"afterstatus" : 1,
"recipients" : [
{
"cc" : false,
"email" : "email@domain.com",
"name" : "Client Name"
}
]
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can send your receipt via postmail with the following URL:
POST https://api.smallinvoice.com/receipt/post
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the receipt |
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| speed | int | Yes | 1 = Priority / 2 = Economy | |
| color | int | No | 0 | 0 = B/W / 1 = Color |
| sendstatus | int | No | The status the document should be sent in | |
| afterstatus | int | No | The status the document should take after sending |
Example: Sending an receipt with id 5 via postmail
POST https://api.smallinvoice.com/receipt/post/id/5
Example content of data variable
{
"afterstatus" : 1,
"sendstatus" : 1,
"speed" : 1
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can change status of your receipt with the following URL:
POST https://api.smallinvoice.com/receipt/status/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the receipt |
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| status | int | Yes | See Status Types |
Example: Making a request for receipt with id 5
POST https://api.smallinvoice.com/receipt/status/id/5
Example content of data variable
{
"status" : 1
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
